<?php use_helper('Validation', 'Javascript', 'Object') ?>
<h1><?php echo $titulo ?><?php include_partial('partials/info', array('tool' => 'M&aacute;s informaci&oacute;n sobre creaci&oacute;n de comisiones')) //TODO redireccionar al manual ?></h1>
<?php echo form_tag('comisionar/crear') ?>
<?php echo $sf_user->getFlash('message') ?>
<table class="show">
    <tr>
        <th colspan="2">Seleccione los datos</th>
    </tr>
    <tr>
        <th>Tipo de comisi&oacute;n</th>
        <td><?php
            echo select_tag('id_tipo_comision', objects_for_select($tipos_comision, 'getTipcomi', 'getDescomi', '', 'include_custom=Seleccione el tipo de comisi&oacute;n'), array(
                'onchange' =>
                remote_function(
                        array(
                            'update' => 'interrumpida',
                            'url' => 'listas_dependientes/interrumpida',
                            'with' => "'id_tipo_comision=' + value"
                        )
                )
            ))
            ?> 
<?php echo form_error('id_tipo_comision') ?></td>
    </tr>
    <tr>
        <th>&Aacute;rea</th>
        <td><?php
            /* echo select_tag('id_area',objects_for_select($areas,'getCodigo','getDescripcion','','include_custom=Seleccionar &aacute;rea'),array(
              'onchange'=>
              remote_function(
              array(
              'update' => 'proyectos',
              'url'    => 'listas_dependientes/proyecto',
              'with'   => "'id_area=' + value"
              ))))// */
            echo select_tag('id_area', objects_for_select($areas, 'getIdArea', 'getDescripcion', '', 'include_custom=Seleccionar &aacute;rea'), array(
                'onchange' =>
                remote_function(
                        array(
                            'update' => 'proyectos',
                            'url' => 'listas_dependientes/proyectoa',
                            'with' => "'addonchangegetcdp=1&id_area=' + value"
        ))))
            ?> 
<?php echo form_error('id_area') ?>
        </td>
    </tr>
    <tr>
        <th>Proyecto</th>
        <td><div id="proyectos">		      
            <?php echo select_tag('id_proyecto', objects_for_select($proyectos, 'getCodpro', '__toString', '', 'include_custom=Seleccionar un proyecto'), array(
                'onchange' =>
                remote_function(
                        array(
                            'update' => 'cdp_proyecto',
                            'url' => 'comisionar/cdpproyecto',
                            'with' => "'id_proyecto=' + value"
        )))) ?>
            </div>
<?php echo form_error('id_proyecto') ?>
        </td>
    </tr>
    <tr>
        <th>CDP</th>
        <td>

            <div id="cdp_proyecto"><input type="hidden" id="id_cdp" name="id_cdp" value=""/> </div>
        </td>
    </tr>
    <tr>
        <th>Con interrupción?</th>
        <td><div id="interrumpida"><?php echo checkbox_tag('interrumpida', 1, false) ?></div></td>
    </tr>
    <!-- Inicidente #13909 - 20191230 -->
    <tr>
        <th>Tipo de Gasto</th>
        <td>
             <select id="tipo_gasto" name="tipo_gasto" onchange="myTipoGasto()" REQUIRED>
                <!--<option value="0" selected>Sin Selección</option>-->
                <option value="1" selected>Viaticos</option>
                <option value="2">Gastos Conexos</option>
            </select>  
        </td> 
    </tr>
    <tr>
        <th>Genera Viáticos?</th>
        <td><?php echo checkbox_tag('aplica_porcentaje', 1, 0,array(
                    'onclick' => 'Rubro()')) ?></td>    
    </tr>
    <!--<tr>
        <th>Rubro</th>
        <td><?php echo input_tag('rubro',"",array('onfocus'=>'this.select()','disabled'=> true)) ?></td>    
    </tr>-->

            <tr>
                <th>Rubro Presupuestal</th>
                <td>
                   <input type="hidden" id="id_rubro" name="id_rubro" value="0"/>
                    <select id="selecMedioRub" name="selecMedioRub" onchange="medioR(this.value)" style="width: 350px;" enable="">
                        <option value="0" id="0" name="0" >::Seleccione un rubro::</option>";
                            <?php 
                            $id_anhos = date('Y');
                            $myobjectF = "0;::Seleccione tipo viatico::";
                            $myobjectI = "0;::Seleccione tipo viatico::";
                            $myobjectUso = "0;0";
                            $con = Propel::getConnection();
                            /* rubros de viaticos - 20200110 */
                            $sql = "SELECT 
c.id_clase_presup, a.rubro, SUBSTR(a.descripcion,0,100) as descripcion, a.id_rubro, a.id_anhos 
FROM pr_rubro_presup_v a 
join pr_codif_presup c on c.id_rubro = a.id_rubro 
where a.id_anhos = " . $id_anhos . " 
and a.aplica_comision = 1 
and a.id_rubro in (SELECT DISTINCT
    id_rubro
    FROM pr_elementos_gasto
    where
    viatico = 1)
order by a.id_anhos, a.tipo_gasto, a.rubro";
                            $rs = $con->executeQuery($sql);
                            foreach ($rs as $key => $val) {
                                if($val["ID_CLASE_PRESUP"] == 8){
                                    $myobjectUso .= "@" . $val["ID_RUBRO"] . ";" . $val["ID_CLASE_PRESUP"];  
                                }
                                /*if($val["ID_CLASE_PRESUP"] == 8){
                                    $myobjectF .= "@" . $val["ID_RUBRO"] . ";" . $val["RUBRO"] ." - ". $val["DESCRIPCION"];
                                }else{
                                    $myobjectI .= "@" . $val["ID_RUBRO"] . ";" . $val["RUBRO"] ." - ". $val["DESCRIPCION"];
                                }*/                                
                            ?>
                        <option value="<? echo $val["ID_RUBRO"] ?>" id="<? echo $val["ID_RUBRO"] ?>" name="<?php echo $val["ID_RUBRO"] ?>"><? echo $val["RUBRO"] ." - ". $val["DESCRIPCION"] ?></option>";
                            <? } ?>
                    </select>                    
                </td>
            </tr>


            <tr>
                <th>Rubro Presupuestal Extra</th>
                <td>
                   <input type="hidden" id="id_rubro_extra" name="id_rubro_extra" value="0"/>
                    <select id="selecMedioRubE" name="selecMedioRubE" onchange="medioRE(this.value)" style="width: 350px;" enable="">
                        <option value="0" id="0" name="0" >::Seleccione una rubro extra::</option>";
                            <?php 
                            $id_anhos = date('Y');
                            $myobjectF = "0;::Seleccione tipo viatico::";
                            $myobjectI = "0;::Seleccione tipo viatico::";
                            $con = Propel::getConnection();
                            /* rubros de viaticos - 20200110 */
                            $sql = "SELECT 
c.id_clase_presup, a.rubro, SUBSTR(a.descripcion,0,100) as descripcion, a.id_rubro, a.id_anhos 
FROM pr_rubro_presup_v a 
join pr_codif_presup c on c.id_rubro = a.id_rubro 
where a.id_anhos = " . $id_anhos . " 
and a.aplica_comision = 1 
and c.id_clase_presup = 8 
and a.id_rubro in (SELECT DISTINCT
    id_rubro
    FROM pr_elementos_gasto
    where
    viatico = 1)
order by a.id_anhos, a.tipo_gasto, a.rubro";
                            $rs = $con->executeQuery($sql);
                            foreach ($rs as $key => $val) {
                                /*if($val["ID_CLASE_PRESUP"] == 8){
                                    $myobjectF .= "@" . $val["ID_RUBRO"] . ";" . $val["RUBRO"] ." - ". $val["DESCRIPCION"];
                                }else{
                                    $myobjectI .= "@" . $val["ID_RUBRO"] . ";" . $val["RUBRO"] ." - ". $val["DESCRIPCION"];
                                }*/                                
                            ?>
                        <option value="<? echo $val["ID_RUBRO"] ?>" id="<? echo $val["ID_RUBRO"] ?>" name="<?php echo $val["ID_RUBRO"] ?>"><? echo $val["RUBRO"] ." - ". $val["DESCRIPCION"] ?></option>";
                            <? } ?>
                    </select>                    
                </td>
            </tr>

            <tr>
            <?php echo input_hidden_tag('myobjectF', $myobjectF) ?>
            <?php echo input_hidden_tag('myobjectI', $myobjectI) ?>
            <?php echo input_hidden_tag('myobjectUso', $myobjectUso) ?>
            </tr>

    <tr>
        <th>Transporte</th>
        <td><?php echo select_tag('id_transporte', objects_for_select($transportes, 'getId', 'getDescripcion', '', 'include_custom=Seleccione un transporte')) ?></td>    
    </tr>
    <tr>
        <th>Requiere Pasajes Aereos</th>
        <td><?php echo checkbox_tag('pasaje_aereo', 1, 0) ?></td>    
    </tr>

    <tr>
        <th>Comisión al Exterior?</th>
        <td><div id="exteriordiv"><?php
                echo checkbox_tag('exterior', 1, false, array(
                    'onclick' => 'tipoExterior()',
                    'onchange' => remote_function(
                            array(
                                'update' => 'trm',
                                'url' => 'listas_dependientes/trm'
                            )
            )))
                ?>
                    
            <select id="tipo_exterior" name="tipo_exterior" >
                <option value="0" selected>Sin Selección</option>
                <option value="1">Exterior(Centro América, el Caribe y Suramérica)</option>
                <option value="2">Exterior(Estados Unidos, Canadá y Suramérica)</option>
                <option value="3">Exterior(Europa, Asia, Oceanía)</option>
            </select>
                </div>
            </td>
    </tr>

    <tr>
        <th>TRM</th>
        <td><div id="trm"></div></td>
    </tr>
</table>
<!-- Se desactiva cuadro de check - 20150612 -->
<script type="text/javascript">
   // document.getElementById("aplica_porcentaje").disabled = true;
</script>
<?php include_partial('partials/submit', array('return' => 'comisionar/index')) ?>

<script>

    /* Bloquear al cargar rubro - 20200108 */
    document.getElementById("selecMedioRub").disabled = true;
    document.getElementById("selecMedioRubE").disabled = true;

    function medioR(valor) {
        document.getElementById('id_rubro').value = valor;
        document.getElementById("id_rubro_extra").value = 0;
                    
        document.getElementById("selecMedioRubE").disabled = true;
        document.getElementById("selecMedioRubE").value = 0;

        if(valor!=0){
            var valor_rub = "";
            var id_clase = "";

            var myobjectArray = document.getElementById('myobjectUso').value;       

            var myobjectF1 = myobjectArray.split("@");  
            for (var i=0; i<myobjectF1.length; i++) {
                //alert(myobjectF1[i])
                var fields = myobjectF1[i].split(";");
                if( fields[0] == valor ){
                    if( fields[1] == 8 ){
                        document.getElementById("selecMedioRubE").disabled = false;
                        valor_rub = fields[0];  
                        id_clase = fields[1];
                    }  
                }
            }
            //alert( valor_rub + "-rubro-" + id_clase);
        }
    }

    /* Rubro extra para registrar el de planta/contrato si aplica - 20200527::LAVILA */
    function medioRE(valor) {

        var id_rubro_valor = document.getElementById('id_rubro').value;  

        if(id_rubro_valor == valor){
            document.getElementById("id_rubro_extra").value = 0;                    
            document.getElementById("selecMedioRubE").value = 0;

            alert('No puede seleccionar el mismo rubro.')
        }else{
            document.getElementById('id_rubro_extra').value = valor;

        }

    }

    /* Incidente #8342 - 20180612 */ 
    document.getElementById("tipo_exterior").disabled = true;
    document.getElementById("tipo_exterior").style.visibility = "hidden";

    /* Inicidente #13909 - 20191230 */
    function myTipoGasto(){
        var selectIndex=document.getElementById("tipo_gasto").value
        //alert("tipo "+selectIndex);
        if(selectIndex==2){
            document.getElementById("aplica_porcentaje").disabled = true;
            document.getElementById("aplica_porcentaje").checked = false;

            document.getElementById("selecMedioRub").disabled = true;
            document.getElementById("selecMedioRub").value = 0;
            document.getElementById("id_rubro").value = 0;

            document.getElementById("selecMedioRubE").disabled = true;
            document.getElementById("selecMedioRubE").value = 0;
            document.getElementById("id_rubro_extra").value = 0;

            document.getElementById("id_transporte").disabled = true;
            document.getElementById("id_transporte").value = "";
        }else{            
            document.getElementById("aplica_porcentaje").disabled = false;
            document.getElementById("id_transporte").disabled = false;
        }

    }

    function tipoExterior() {
        var checkBox = document.getElementById("exterior");
        if (checkBox.checked == true){
            //alert("SI"+checkBox);
            document.getElementById("tipo_exterior").disabled = false;
            document.getElementById("tipo_exterior").style.visibility = "visible";
        }else{
            //alert("NO"+checkBox);
            document.getElementById("tipo_exterior").disabled = true;
            document.getElementById("tipo_exterior").style.visibility = "hidden";
            document.getElementById("tipo_exterior").value = "0";
        }
    } 

    function Rubro() {
        var checkBox = document.getElementById("aplica_porcentaje");
        if (checkBox.checked == true){
            //alert("SI"+checkBox);
            document.getElementById("selecMedioRub").disabled = false;
            //document.getElementById("rubro").style.visibility = "visible";
        }else{
            //alert("NO"+checkBox);
            document.getElementById("selecMedioRub").disabled = true;
            //document.getElementById("tipo_exterior").style.visibility = "hidden";
            document.getElementById("selecMedioRub").value = 0;

            document.getElementById("selecMedioRubE").disabled = true;
            document.getElementById("selecMedioRubE").value = 0;
        }
    }


    function formatearNumero(num, numDec, decSep, thousandSep) {

        var arg;
        var Dec;

        Dec = Math.pow(10, numDec);
        
        if (typeof (num) == 'undefined')
            return;
        if (typeof (decSep) == 'undefined')
            decSep = ',';
        if (typeof (thousandSep) == 'undefined')
            thousandSep = '.';
        if (thousandSep == '.')
            arg = /./g;
        else
        if (thousandSep == ',')
            arg = /,/g;
        if (typeof (arg) != 'undefined')
            num = num.toString().replace(arg, '');
        num = num.toString().replace(/,/g, '.');
        if (isNaN(num))
            num = "0";
        sign = (num == (num = Math.abs(num)));
        num = Math.floor(num * Dec + 0.50000000001);
        cents = num % Dec;
        num = Math.floor(num / Dec).toString();
        if (cents < (Dec / 10))
            cents = "0" + cents;
        for (var i = 0; i < Math.floor((num.length - (1 + i)) / 3); i++)
            num = num.substring(0, num.length - (4 * i + 3)) + thousandSep + num.substring(num.length - (4 * i + 3));
        if (Dec == 1)
            return (((sign) ? '' : '-') + num);
        else
            return (((sign) ? '' : '-') + num + decSep + cents);
    }

    function quitarDecimales(num) {
        if (num != "") {
            num = num.replace(/,/gi, '')
            var cents
            cents = num.split('.')
            if (cents[1] != "") {
                if (cents[1] == 00) {
                    num = cents[0]
                }
            }
        }
        return num
    }

</script>
